Debian Bug report logs - #423738
file conflicts between packages

version graph

Packages: libfile-spec-perl, libpathtools-perl; Maintainer for libfile-spec-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libfile-spec-perl is src:libfile-spec-perl. Maintainer for libpathtools-perl is (unknown);

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Mon, 14 May 2007 07:21:07 UTC

Severity: serious

Fixed in version libfile-spec-perl/3.2501-1

Done: roberto@debian.org (Roberto C. Sanchez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>:
Bug#423738; Package libfile-spec-perl, libpathtools-perl. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: maintonly@bugs.debian.org
Subject: file conflicts between packages
Date: Mon, 14 May 2007 09:15:11 +0200
Package: libfile-spec-perl, libpathtools-perl
Severity: serious
User: abi@debian.org
Usertags: qa-file-conflict
Justification: Policy violation, see section 7.2

hi,

both libfile-spec-perl and libpathtools-perl do ship
``/usr/share/man/man3/File::Spec::VMS.3pm.gz' but do neither conflict nor add a
diversion, thus fail to be installed in the same environment:

 >  dpkg: error processing /var/cache/apt/archives/libpathtools-perl_3.24-1_amd64.deb (--unpack):
 >  trying to overwrite `/usr/share/man/man3/File::Spec::VMS.3pm.gz', which is also in package libfile-spec-perl
 > Errors were encountered while processing:
 >  /var/cache/apt/archives/libpathtools-perl_3.24-1_amd64.deb
 > E: Sub-process /usr/bin/dpkg returned an error code (1)

bye,
    - michael



Information forwarded to Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>:
Bug#423738; Package libfile-spec-perl, libpathtools-perl. Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Rivas Contreras <ghostbar38@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>. Full text and rfc822 format available.

Message #10 received at 423738-maintonly@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas Contreras <ghostbar38@gmail.com>
To: Michael Ablassmeier <abi@grinser.de>, 423738-maintonly@bugs.debian.org
Subject: Re: Bug#423738: file conflicts between packages
Date: Mon, 14 May 2007 05:47:58 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Michael Ablassmeier escribió:
> Package: libfile-spec-perl, libpathtools-perl
> Severity: serious
> User: abi@debian.org
> Usertags: qa-file-conflict
> Justification: Policy violation, see section 7.2
> 
> hi,
> 
> both libfile-spec-perl and libpathtools-perl do ship
> ``/usr/share/man/man3/File::Spec::VMS.3pm.gz' but do neither conflict nor add a
> diversion, thus fail to be installed in the same environment:
> 
>  >  dpkg: error processing /var/cache/apt/archives/libpathtools-perl_3.24-1_amd64.deb (--unpack):
>  >  trying to overwrite `/usr/share/man/man3/File::Spec::VMS.3pm.gz', which is also in package libfile-spec-perl
>  > Errors were encountered while processing:
>  >  /var/cache/apt/archives/libpathtools-perl_3.24-1_amd64.deb
>  > E: Sub-process /usr/bin/dpkg returned an error code (1)

Ok, both are the same package but with different names, I was looking
for this module and I couldn't find it by the name I use it in CPAN as
PathTools so I look for libpathtools-perl and as I didn't find anything
(ITP or anything) I package it.

That was before 07/May/2007 (more exactly 27 Apr according to my
changelog), date when libfile-spec-perl was uploaded to ftp-master.

One of this packages should be removed but I don't know which one
according debian-policy.

BTW, Bastian your package could be almost lintian clean easily, perl
should be Build-Depend (without the Indep) since is arch-dep but the
warning about manpage can't be avoid since that line is an URL.

Regards,
Jose Luis.
- --

ghostbar on Linux/Debian 'sid' i686 - #382503
Weblog: http://ghostbar.ath.cx/ - http://linuxtachira.org
http://debian.org.ve - irc.debian.org #debian-ve #debian-devel-es
San Cristóbal, Venezuela. http://chaslug.org.ve
Fingerprint = 3E7D 4267 AFD5 2407 2A37  20AC 38A0 AD5B CACA B118
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGSDBOOKCtW8rKsRgRAmBsAKCUe0eJRj7EOs83ZaRx65nbLZ4bHACfelSg
bwl8NM530it0BO7HajaqscU=
=2cVU
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>:
Bug#423738; Package libfile-spec-perl, libpathtools-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>, Jose Luis Rivas <ghostbar38@gmail.com>. Full text and rfc822 format available.

Message #15 received at 423738@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 423738@bugs.debian.org
Subject: Re: libfile-spec-perl vs libpathtools-perl
Date: Thu, 10 Jan 2008 12:57:52 +0200
[Message part 1 (text/plain, inline)]
-=| Jose Luis Rivas Contreras, Wed, Jan 09, 2008 at 11:50:52AM -0430 |=-
> This is an older RC bug (#423738), they both are the same but
> libpathtools-perl is the name of the tarball of modules File::Spec* and
> Cwd, and libfile-spec-perl ships the same under the name of most of the
> modules.
> 
> A lot of people uses libfile-spec-perl because of this reason, is easily
> to find, I was thinking some of both should provides the other, but,
> which one? It would be easily if both were from the team :-)

Looking at reverse-dependencies, I think we can easier manage the
removal of libpathspec-perl. the only reverse dependency is
libtest-distribution-perl, which is under DPG's umbrella.

For starters, we can make libpathtools-perl a "dummy" package depending
on libfile-spec-perl. Then we upload libtest-distribution-perl with
(build-) dependency changed to libfile-spec-perl, then we schedule
libpathtools-perl for removal.

Does this look OK?


Bastian, BTW if you're willing to give libfile-spec-perl to the Perl
group, we can handle its new upstream version and #430937 :)
It can also maintain it as part of the group (DDs have commit access to
the repository). http://wiki.debian.org/Teams/DebianPerlGroup

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar38@gmail.com>:
Bug#423738; Package libfile-spec-perl, libpathtools-perl. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar38@gmail.com>. Full text and rfc822 format available.

Message #20 received at 423738@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Damyan Ivanov <dam@modsoftsys.com>, 423738@bugs.debian.org
Subject: Re: Bug#423738: libfile-spec-perl vs libpathtools-perl
Date: Thu, 10 Jan 2008 13:31:00 +0100
On Thu, Jan 10, 2008 at 12:57:52PM +0200, Damyan Ivanov wrote:
> Bastian, BTW if you're willing to give libfile-spec-perl to the Perl
> group, we can handle its new upstream version and #430937 :)
> It can also maintain it as part of the group (DDs have commit access to
> the repository). http://wiki.debian.org/Teams/DebianPerlGroup

No objections.

Bastian

-- 
Captain's Log, star date 21:34.5...




Reply sent to roberto@debian.org (Roberto C. Sanchez):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 423738-close@bugs.debian.org (full text, mbox):

From: roberto@debian.org (Roberto C. Sanchez)
To: 423738-close@bugs.debian.org
Subject: Bug#423738: fixed in libfile-spec-perl 3.2501-1
Date: Fri, 11 Jan 2008 21:32:03 +0000
Source: libfile-spec-perl
Source-Version: 3.2501-1

We believe that the bug you reported is fixed in the latest version of
libfile-spec-perl, which is due to be installed in the Debian FTP archive:

libfile-spec-perl_3.2501-1.diff.gz
  to pool/main/libf/libfile-spec-perl/libfile-spec-perl_3.2501-1.diff.gz
libfile-spec-perl_3.2501-1.dsc
  to pool/main/libf/libfile-spec-perl/libfile-spec-perl_3.2501-1.dsc
libfile-spec-perl_3.2501-1_i386.deb
  to pool/main/libf/libfile-spec-perl/libfile-spec-perl_3.2501-1_i386.deb
libfile-spec-perl_3.2501.orig.tar.gz
  to pool/main/libf/libfile-spec-perl/libfile-spec-perl_3.2501.orig.tar.gz
libpathtools-perl_3.2501-1_all.deb
  to pool/main/libf/libfile-spec-perl/libpathtools-perl_3.2501-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 423738@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roberto C. Sanchez <roberto@debian.org> (supplier of updated libfile-spec-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Jan 2008 15:56:41 -0500
Source: libfile-spec-perl
Binary: libpathtools-perl libfile-spec-perl
Architecture: source i386 all
Version: 3.2501-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Roberto C. Sanchez <roberto@debian.org>
Description: 
 libfile-spec-perl - Tools for working with paths and file specs across platforms
 libpathtools-perl - Tools for working with paths and file specs (transitional package
Closes: 423738 430937
Changes: 
 libfile-spec-perl (3.2501-1) unstable; urgency=low
 .
   [ Roberto C. Sanchez ]
   * Wrap long description and reduce short description
     (avoid lintian warnings)
 .
   [ David Bremner ]
   * New upstream release
   * New Maintainer: Bastian Blank has graciously allowed the Debian Perl
     Group to maintain this package: http://bugs.debian.org/423738#20
   * Bumped standards version to 3.7.3
   * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
     field (source stanza); Homepage field (source stanza).
   * debian/watch: use dist-based URL.
 .
   [ Martín Ferrari ]
   * debian/control:
   - Bump debhelper compatibility.
   - Actually describe this package (Closes: #430937)
   - Clarify in description that this is already provided in perl-modules.
   - Add libpathtools-perl as a dummy binary, conflicted/provided/replaced by
     libfile-spec-perl. (Closes: #423738)
   * debian/copyright:
   - convert to new format.
   - add © information for packaging.
   - add missing © notice from Cwd.pm.
   * debian/rules: beautified a little.
 .
   [ Damyan Ivanov ]
   * add install-stamp target and make install depend on it
Files: 
 b6bcfaa8d2e2de0d5ade133282ed2958 941 perl optional libfile-spec-perl_3.2501-1.dsc
 d268899573688eb4e1c6e27c9a5139cb 118354 perl optional libfile-spec-perl_3.2501.orig.tar.gz
 c052eb9f07aeaf79cc3389717bea722b 2507 perl optional libfile-spec-perl_3.2501-1.diff.gz
 9d97d5c31a49c9b1f0bad79c2820145c 85136 perl optional libfile-spec-perl_3.2501-1_i386.deb
 281819d088cacae3829ab533a41ce1aa 13740 perl optional libpathtools-perl_3.2501-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHh9+h5SXWIKfIlGQRAkgVAJ9KB6gpiqQPAwsZY3UrU/Gk45G31wCgithl
VEx/tAYnhd6rcmZ7mnWYHhw=
=bUig
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 13:44:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:09:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.